Index: src/demo/sub_graph_wrapper_demo.cc
===================================================================
--- src/demo/sub_graph_wrapper_demo.cc	(revision 867)
+++ src/demo/sub_graph_wrapper_demo.cc	(revision 867)
@@ -0,0 +1,71 @@
+// -*- c++ -*-
+
+// Use a DIMACS max flow file as stdin.
+// sub_graph_wrapper_demo < dimacs_max_flow_file
+
+#include <iostream>
+#include <fstream>
+
+#include <hugo/smart_graph.h>
+#include <hugo/dijkstra.h>
+#include <hugo/maps.h>
+#include <hugo/graph_wrapper.h>
+#include <hugo/dimacs.h>
+#include <hugo/preflow.h>
+#include <tight_edge_filter_map.h>
+
+using namespace hugo;
+
+using std::cout;
+using std::endl;
+
+int main()
+{    
+  typedef SmartGraph Graph;
+
+  typedef Graph::Edge Edge;
+  typedef Graph::Node Node;
+  typedef Graph::EdgeIt EdgeIt;
+  typedef Graph::NodeIt NodeIt;
+  typedef Graph::EdgeMap<int> LengthMap;
+
+  Graph g;
+  Node s, t;
+  LengthMap length(g);
+
+  readDimacs(std::cin, g, length, s, t);
+
+  cout << "edges with lengths (of form tail--length->head): " << endl;
+  for(EdgeIt e(g); e!=INVALID; ++e) 
+    cout << " " << g.id(g.tail(e)) << "--" 
+	 << length[e] << "->" << g.id(g.head(e)) << endl;
+
+  cout << "s: " << g.id(s) << " t: " << g.id(t) << endl;
+
+  typedef Dijkstra<Graph, LengthMap> Dijkstra;
+  Dijkstra dijkstra(g, length);
+  dijkstra.run(s);
+
+  typedef TightEdgeFilterMap<Graph, const Dijkstra::DistMap, LengthMap> 
+    TightEdgeFilter;
+  TightEdgeFilter tight_edge_filter(g, dijkstra.distMap(), length);
+
+  ConstMap<Node, bool> const_true_map(true);
+  typedef SubGraphWrapper<Graph, ConstMap<Node, bool>, TightEdgeFilter> SubGW;
+  SubGW gw(g, const_true_map, tight_edge_filter);
+
+  ConstMap<Edge, int> const_1_map(1);
+  Graph::EdgeMap<int> flow(g, 0);
+  Preflow<SubGW, int, ConstMap<Edge, int>, Graph::EdgeMap<int> > 
+    preflow(gw, s, t, const_1_map, flow);
+  preflow.run();
+
+  cout << "edges of the maximum number of edge-disjoint shortest s-t paths: " 
+       << endl;
+  for(EdgeIt e(g); e!=INVALID; ++e) 
+    if (flow[e])
+      cout << " " << g.id(g.tail(e)) << "--" 
+	   << length[e] << "->" << g.id(g.head(e)) << endl;
+
+  return 0;
+}
Index: src/demo/sub_graph_wrapper_demo.dim
===================================================================
--- src/demo/sub_graph_wrapper_demo.dim	(revision 867)
+++ src/demo/sub_graph_wrapper_demo.dim	(revision 867)
@@ -0,0 +1,14 @@
+c HUGO max flow problem
+p max 7 9
+n 1 s
+n 7 t
+a 1 2 3
+a 1 3 2
+a 1 4 1
+a 2 5 3
+a 3 5 2
+a 3 7 5
+a 3 6 3
+a 4 6 1
+a 5 7 2
+a 6 7 4
Index: src/work/makefile
===================================================================
--- src/work/makefile	(revision 854)
+++ src/work/makefile	(revision 867)
@@ -1,4 +1,4 @@
 INCLUDEDIRS ?= -I.. -I. -I./{marci,jacint,alpar,klao,akos}
-CXXFLAGS = -g -O0 -W -Wall $(INCLUDEDIRS) -ansi -pedantic
+CXXFLAGS = -g -O3 -W -Wall $(INCLUDEDIRS) -ansi -pedantic
 
 BINARIES ?= bin_heap_demo
Index: c/work/marci/sub_graph_wrapper_demo.cc
===================================================================
--- src/work/marci/sub_graph_wrapper_demo.cc	(revision 866)
+++ 	(revision )
@@ -1,71 +1,0 @@
-// -*- c++ -*-
-
-// Use a DIMACS max flow file as stdin.
-// sub_graph_wrapper_demo < dimacs_max_flow_file
-
-#include <iostream>
-#include <fstream>
-
-#include <hugo/smart_graph.h>
-#include <hugo/dijkstra.h>
-#include <hugo/maps.h>
-#include <hugo/graph_wrapper.h>
-#include <hugo/dimacs.h>
-#include <hugo/preflow.h>
-#include <tight_edge_filter_map.h>
-
-using namespace hugo;
-
-using std::cout;
-using std::endl;
-
-int main()
-{    
-  typedef SmartGraph Graph;
-
-  typedef Graph::Edge Edge;
-  typedef Graph::Node Node;
-  typedef Graph::EdgeIt EdgeIt;
-  typedef Graph::NodeIt NodeIt;
-  typedef Graph::EdgeMap<int> LengthMap;
-
-  Graph g;
-  Node s, t;
-  LengthMap length(g);
-
-  readDimacs(std::cin, g, length, s, t);
-
-  cout << "edges with lengths (of form tail--length->head): " << endl;
-  for(EdgeIt e(g); e!=INVALID; ++e) 
-    cout << " " << g.id(g.tail(e)) << "--" 
-	 << length[e] << "->" << g.id(g.head(e)) << endl;
-
-  cout << "s: " << g.id(s) << " t: " << g.id(t) << endl;
-
-  typedef Dijkstra<Graph, LengthMap> Dijkstra;
-  Dijkstra dijkstra(g, length);
-  dijkstra.run(s);
-
-  typedef TightEdgeFilterMap<Graph, const Dijkstra::DistMap, LengthMap> 
-    TightEdgeFilter;
-  TightEdgeFilter tight_edge_filter(g, dijkstra.distMap(), length);
-
-  ConstMap<Node, bool> const_true_map(true);
-  typedef SubGraphWrapper<Graph, ConstMap<Node, bool>, TightEdgeFilter> SubGW;
-  SubGW gw(g, const_true_map, tight_edge_filter);
-
-  ConstMap<Edge, int> const_1_map(1);
-  Graph::EdgeMap<int> flow(g, 0);
-  Preflow<SubGW, int, ConstMap<Edge, int>, Graph::EdgeMap<int> > 
-    preflow(gw, s, t, const_1_map, flow);
-  preflow.run();
-
-  cout << "edges of the maximum number of edge-disjoint shortest s-t paths: " 
-       << endl;
-  for(EdgeIt e(g); e!=INVALID; ++e) 
-    if (flow[e])
-      cout << " " << g.id(g.tail(e)) << "--" 
-	   << length[e] << "->" << g.id(g.head(e)) << endl;
-
-  return 0;
-}
Index: c/work/marci/sub_graph_wrapper_demo.dim
===================================================================
--- src/work/marci/sub_graph_wrapper_demo.dim	(revision 865)
+++ 	(revision )
@@ -1,14 +1,0 @@
-c HUGO max flow problem
-p max 7 9
-n 1 s
-n 7 t
-a 1 2 3
-a 1 3 2
-a 1 4 1
-a 2 5 3
-a 3 5 2
-a 3 7 5
-a 3 6 3
-a 4 6 1
-a 5 7 2
-a 6 7 4
